Bug 848997 - Missing requirement on perl(Email::Date::Format)
Missing requirement on perl(Email::Date::Format)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-Email-Simple (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 23:14 EDT by Mathieu Bridon
Modified: 2012-09-17 19:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-26 23:25:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mathieu Bridon 2012-08-16 23:14:00 EDT
Description of problem:
At line 11 of /usr/share/perl5/vendor_perl/Email/Simple/Creator.pm, one can see:

  sub _date_header {
    require Email::Date::Format;
    Email::Date::Format::email_date();
  }

Perhaps it's because the requirement is declared inside a function that rpmbuild doesn't pick it up automatically?

However, it is required for proper operation of the package.

==== Example script ====
[mathieu@localhost ~]$ cat testmail.pl 
use strict;
use Email::Sender::Simple qw(sendmail);
use Email::Simple;
use Email::Simple::Creator;
use Email::Sender::Transport::SMTP;

# -- Change to appropriate values ------------------------
my $from = 'foo@example.com';
my $to   = 'foo@example.com';
my $smtp = '10.0.0.1';
# --------------------------------------------------------

open(my $fh, $0);
my $body = join("", <$fh>);
close($fh);

my $email = Email::Simple->create(
   header => [
     To      => $to,
     From    => $from,
     Subject => "Perl module to send emails",
   ],
   body => $body,
);

my $transport = Email::Sender::Transport::SMTP->new({
   host => $smtp,
   port => 25,
});

sendmail($email, { transport => $transport });
========================

==== Script output ====
[mathieu@localhost ~]$ perl testmail.pl
Can't locate Email/Date/Format.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at /usr/share/perl5/vendor_perl/Email/Simple/Creator.pm line 12.
=======================

Once I manually install perl-Email-Date-Format, the above script sends the email properly.

Running repoquery with the --releasever parameter, I can see that the package is missing the requirement in all versions of Fedora (from 16 to 18) and EPEL (5 and 6).
Comment 1 Fedora Update System 2012-08-17 15:25:42 EDT
perl-Email-Simple-2.102-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Email-Simple-2.102-1.fc17
Comment 2 Fedora Update System 2012-08-17 15:25:53 EDT
perl-Email-Simple-2.102-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Email-Simple-2.102-1.fc18
Comment 3 Fedora Update System 2012-08-17 15:26:03 EDT
perl-Email-Simple-2.102-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Email-Simple-2.102-1.fc16
Comment 4 Fedora Update System 2012-08-18 00:47:04 EDT
Package perl-Email-Simple-2.102-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Email-Simple-2.102-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12173/perl-Email-Simple-2.102-1.fc18
then log in and leave karma (feedback).
Comment 5 Paul Howarth 2012-08-23 13:19:39 EDT
(In reply to comment #0)
> Running repoquery with the --releasever parameter, I can see that the
> package is missing the requirement in all versions of Fedora (from 16 to 18)
> and EPEL (5 and 6).

In EPEL 5 and 6, the Email::Simple::Creator module is in a separate perl-Email-Simple-Creator package (this was merged into perl-Email-Simple relatively recently), and the perl-Email-Simple-Creator packages *do* have the necessary dependency, so this is not an issue in EPEL.
Comment 6 Fedora Update System 2012-08-26 23:25:32 EDT
perl-Email-Simple-2.102-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-08-26 23:26:10 EDT
perl-Email-Simple-2.102-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-09-17 19:57:04 EDT
perl-Email-Simple-2.102-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.